{
  "_version": "1.49.0",
  "sap.app": {
    "id": "zlocationmanagementv0.1",
    "type": "application",
    "i18n": "i18n/i18n.properties",
    "applicationVersion": {
      "version": "0.0.1"
    },
    "title": "{{appTitle}}",
    "description": "{{appDescription}}",
    "resources": "resources.json",
    "sourceTemplate": {
      "id": "@sap/generator-fiori:basic",
      "version": "1.9.3",
      "toolsId": "78df84f5-af32-4a32-b5ca-834d2ef6d336"
    },
    "dataSources": {
      "mainService": {
        "uri": "/sap/opu/odata/sap/ZAWP_CHANGE_LOCATION_SRV/",
        "type": "OData",
        "settings": {
          "annotations": [],
          "localUri": "localService/metadata.xml",
          "odataVersion": "2.0"
        }
      }
    }
  },
  "sap.ui": {
    "technology": "UI5",
    "icons": {
      "icon": "",
      "favIcon": "",
      "phone": "",
      "phone@2": "",
      "tablet": "",
      "tablet@2": ""
    },
    "deviceTypes": {
      "desktop": true,
      "tablet": true,
      "phone": true
    }
  },
  "sap.ui5": {
    "flexEnabled": false,
    "dependencies": {
      "minUI5Version": "1.116.0",
      "libs": {
        "sap.m": {},
        "sap.ui.core": {},
        "sap.f": {},
        "sap.suite.ui.generic.template": {},
        "sap.ui.comp": {},
        "sap.ui.generic.app": {},
        "sap.ui.table": {},
        "sap.ushell": {}
      }
    },
    "services": 
    {
      "ShellUIService": 
      {
        "factoryName": "sap.ushell.ui5service.ShellUIService"
      }
    },
    "contentDensities": {
      "compact": true,
      "cozy": true
    },
    "models": {
      "i18n": {
        "type": "sap.ui.model.resource.ResourceModel",
        "settings": {
          "bundleName": "zlocationmanagementv0.1.i18n.i18n"
        }
      },
      "": {
        "dataSource": "mainService",
        "preload": true,
        "settings": {}
      }
    },
    "resources": {
      "css": [
        {
          "uri": "css/style.css"
        }
      ]
    },
    "routing": {
      "config": {
        "routerClass": "sap.m.routing.Router",
        "viewType": "XML",
        "async": true,
        "viewPath": "zlocationmanagementv0.1.view",
        "controlAggregation": "pages",
        "controlId": "app",
        "clearControlAggregation": false
      },
      "routes": [
        {
          "name": "RouteMainView",
          "pattern": ":?query:",
          "target": [
            "TargetMainView"
          ]
        },
        {
          "name": "SelectionScreen",
          "pattern": "SelectionScreen:?query:",
          "target": [
            "SelectionScreen"
          ]
        }, 
        {
          "name": "ScreenNext",
          "pattern": "ScreenNext:?query:",
          "target": [
            "ScreenNext"
          ]
        },  
        {
          "name": "ScreenNotMPL",
          "pattern": "ScreenNotMPL:?query:",
          "target": [
            "TargetScreenNotMPL"
          ]
        },
        {
          "name": "ScreenPartial",
          "pattern": "ScreenPartial:?query:",
          "target": [
            "TargetScreenPartial"
          ]
        },
        {
          "name": "ScreenChange",
          "pattern": "ScreenChange:?query:",
          "target": [
            "TargetScreenChange"
          ]
        },
        {
          "name": "Scanner",
          "pattern": "Scanner:?query:",
          "target": [
            "TargetScanner"
          ]
        }
      ],
      "targets": {
        "TargetMainView": {
          "viewType": "XML",
          "transition": "slide",
          "clearControlAggregation": false,
          "viewId": "MainView",
          "viewName": "MainView"
        },
        "SelectionScreen": {
          "viewType": "XML",
          "transition": "slide",
          "clearControlAggregation": true,
          "viewId": "SelectionScreen",          
          "viewName": "SelectionScreen",
          "viewLevel": 1
        },
        "ScreenNext": {
          "viewType": "XML",
          "transition": "slide",
          "clearControlAggregation": true,
          "viewId": "ScreenNext",          
          "viewName": "ScreenNext",
          "viewLevel": 2
        },
        
        "TargetScreenNotMPL": {
          "viewType": "XML",
          "transition": "slide",
          "clearControlAggregation": false,
          "viewId": "ScreenNotMPL",
          "viewName": "ScreenNotMPL",
          "viewLevel": 3
        },
        "TargetScreenPartial": {
          "viewType": "XML",
          "transition": "slide",
          "clearControlAggregation": false,
          "viewId": "ScreenPartial",
          "viewName": "ScreenPartial",
          "viewLevel": 4
        },
        "TargetScreenChange": {
          "viewType": "XML",
          "transition": "slide",
          "clearControlAggregation": false,
          "viewId": "ScreenChange",
          "viewName": "ScreenChange",
          "viewLevel": 6
        },
        "TargetScanner": {
          "viewType": "XML",
          "transition": "slide",
          "clearControlAggregation": false,
          "viewId": "Scanner",
          "viewName": "Scanner",
          "viewLevel": 7
        }
      }
    },
    "rootView": {
      "viewName": "zlocationmanagementv0.1.view.App",
      "type": "XML",
      "async": true,
      "id": "App"
    }
  }
}
